# DestroyPrivateConnect

## 1. API Description

This API is used to release a Layer 2 private connect.

{% hint style="info" %} <mark style="color:blue;">**Note**</mark>

* <mark style="color:blue;">This operation is irreversible. Once the operation is successful, the private connect will be completely released. Please operate with caution.</mark>
* <mark style="color:blue;">This API is an async API. A request ID is returned after the release request is sent. However, it does not mean the releasing has been completed. The status of the private connect will be</mark> <mark style="color:blue;">`DESTROYING`</mark> <mark style="color:blue;">during the releasing. If no result has been queried, it means that the</mark> <mark style="color:blue;">private connect</mark> <mark style="color:blue;">has been released successfully.</mark>
  {% endhint %}

## 2. Input Parameters

The following request parameter list only provides API request parameters.

<table><thead><tr><th width="195.87301587301587">Parameter Name</th><th width="116">Required</th><th width="89">Type</th><th>Description</th></tr></thead><tbody><tr><td>privateConnectId</td><td>Yes</td><td>String</td><td>Private connect ID.</td></tr></tbody></table>

## 3. Output Parameters

<table><thead><tr><th width="193.33333333333331">Parameter Name</th><th width="100.46263548203086">Type</th><th>Description</th></tr></thead><tbody><tr><td>requestId</td><td>String</td><td>The unique request ID, which is returned for each request. RequestId is required for locating a problem.</td></tr></tbody></table>

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Release a Layer 2 private connect.**

```json
POST /api/v2/sdn HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DestroyPrivateConnect
<Common Request Params>

Request：
{
    "privateConnectId": "your-private-connect-id"
}

Response：
{   
  "requestId": "T98044459-95B2-477E-9A2F-00253A70CC6E",
  "response": {
     "requestId": "T98044459-95B2-477E-9A2F-00253A70CC6E"，
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md) to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

No error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).​


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/networking/sdn/private-connect/destroyprivateconnect.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
